MSPhysics LoadError Message when opening SketchUp 2019

Hi, whenever I first open up SU I get an error message, any ideas what a fox might be? Here’s a c&p of the error messaage:

Error Loading File C:/Users/pavel/AppData/Roaming/SketchUp/SketchUp 2019/SketchUp/Plugins/MSPhysics/main_entry.rb
Error: #<IOError: The required, staged c extension file, “C:/Users/pavel/AppData/Roaming/SketchUp/SketchUp 2019/SketchUp/Plugins/ams_Lib/libraries/stage/win64/2.5/ams_lib.so”, is missing!>
C:/Users/pavel/AppData/Roaming/SketchUp/SketchUp 2019/SketchUp/Plugins/ams_Lib/extension_manager.rb:199:in block in require_all' C:/Users/pavel/AppData/Roaming/SketchUp/SketchUp 2019/SketchUp/Plugins/ams_Lib/extension_manager.rb:196:in each’
C:/Users/pavel/AppData/Roaming/SketchUp/SketchUp 2019/SketchUp/Plugins/ams_Lib/extension_manager.rb:196:in require_all' C:/Users/pavel/AppData/Roaming/SketchUp/SketchUp 2019/SketchUp/Plugins/ams_Lib/main.rb:129:in <top (required)>’
C:/Program Files/SketchUp/SketchUp 2019/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:59:in require' C:/Program Files/SketchUp/SketchUp 2019/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:59:in require’
C:/Users/pavel/AppData/Roaming/SketchUp/SketchUp 2019/SketchUp/Plugins/MSPhysics/main_entry.rb:7:in <top (required)>' C:/Program Files/SketchUp/SketchUp 2019/Tools/extensions.rb:197:in require’
C:/Program Files/SketchUp/SketchUp 2019/Tools/extensions.rb:197:in load' C:/Users/pavel/AppData/Roaming/SketchUp/SketchUp 2019/SketchUp/Plugins/MSPhysics.rb:21:in register_extension’
C:/Users/pavel/AppData/Roaming/SketchUp/SketchUp 2019/SketchUp/Plugins/MSPhysics.rb:21:in <module:MSPhysics>' C:/Users/pavel/AppData/Roaming/SketchUp/SketchUp 2019/SketchUp/Plugins/MSPhysics.rb:5:in <top (required)>’

Thanks

MsPhysics doesn’t work with 2019 so remove it.

Sounds like Anton is working on an update though:
https://sketchucation.com/forums/viewtopic.php?f=323&t=56852&start=810#p652926

1 Like

With sketchup 2020 not work!
Only with sketchup 2018 do it.
Thanks